TransactionDataNodeHasDepartedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: TransactionDataNodeHasDepartedException

Package org.apache.geode.cache

# Class TransactionDataNodeHasDepartedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheException
org.apache.geode.cache.TransactionException
org.apache.geode.cache.TransactionDataNodeHasDepartedException

All Implemented Interfaces:
  `Serializable`

public class TransactionDataNodeHasDepartedException extends TransactionException
Thrown when the transactional data host has shutdown or no longer has the data being modified by the transaction. This can be thrown while doing transactional operations or during commit.

This exception only occurs when a transaction is hosted on a member that is not the initiator of the transaction.

Since:
  GemFire 6.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionDataNodeHasDepartedException(String s)`
  `TransactionDataNodeHasDepartedException(Throwable e)`

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransactionDataNodeHasDepartedException

    public TransactionDataNodeHasDepartedException(String s)

  - ### TransactionDataNodeHasDepartedException

    public TransactionDataNodeHasDepartedException(Throwable e)